Subject: bug#16558: 24.3.50; w32-shell-execute does not open url behind proxy

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jan 2014 19:53:46 +0200

> Date: Mon, 27 Jan 2014 18:31:04 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: [email-masked]
> 
> > make your use case work again?
> 
> I think so, because you added the call to Ffile_exists_p in your change
> (commit 0c082e14). The call to Fexpand_file_name is no problem, it was
> already there before your change.

OK, I will make that change soon.

> Another use case where a call to Ffile_exists_p does not make any sense is
> when calling i.e. outlook with a message id (the url looks like:
>    Outlook:00000000EFABE93C5C7E4947B0D4C936C001637FE4782400
> ) what I do from within org-mode.

Alas, there's no way to know if a string names a file, except by
trying to access it as a file.